<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter: encounter = var used to browse an EncounterDataModel object -->
    <g:column id="visitNumber">
        <ui:define name="header">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
        #{encounter.visitNumber}
    </g:column>
    <g:column id="patientStatus" sortBy="#{'patientStatus'}">
        <ui:define name="header">#{messages['gazelle.simulator.pam.PatientStatus']}</ui:define>
        #{encounter.patientStatus.name}
    </g:column>
    <g:column id="patientClass" sortBy="#{'patientClass'}">
        <ui:define name="header">#{messages['gazelle.simulator.pam.PatientClass']}</ui:define>
        #{encounter.patientClass}
    </g:column>
    <g:column id="creationDate" sortBy="#{'creationDate'}">
        <ui:define name="header">#{messages['gazelle.simulator.pam.CreationDate']}</ui:define>
        <g:date value="#{encounter.creationDate}"/>
    </g:column>
</ui:composition>
